zwp_locked_pointer_v1_listener Struct Reference
The zwp_locked_pointer_v1 interface

`#include <pointer-constraints-unstable-v1-client-protocol.h>`

## Data Fields

void(* | locked )(void *data, struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1)
void(* | unlocked )(void *data, struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1)

## Detailed Description

Definition at line 389 of file pointer-constraints-unstable-v1-client-protocol.h.

## Field Documentation

## locked

void(* zwp_locked_pointer_v1_listener::locked) (void *data, struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1)

lock activation event

Notification that the pointer lock of the seat's pointer is activated.

Definition at line 396 of file pointer-constraints-unstable-v1-client-protocol.h.

## unlocked

void(* zwp_locked_pointer_v1_listener::unlocked) (void *data, struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1)

lock deactivation event

Notification that the pointer lock of the seat's pointer is no longer active. If this is a oneshot pointer lock (see wp_pointer_constraints.lifetime) this object is now defunct and should be destroyed. If this is a persistent pointer lock (see wp_pointer_constraints.lifetime) this pointer lock may again reactivate in the future.

Definition at line 408 of file pointer-constraints-unstable-v1-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/pointer-constraints-unstable-v1-client-protocol.h